Subject: Compilation error with clang with guile 1.8.8
From: Matt Sicker <[email-masked]>
To: [email-masked]
Date: Sun, 6 Oct 2013 14:44:32 -0500

I've attached the log from running make with the autogen project (which
depends on guile). As a quick summary, the compiler issue seems to be due
to the use of the variable name "noreturn" in libguile/throw.h, line 94, in
the function declaration scm_ithrow(). As I'm not very familiar with C++11,
I don't know if this is a compiler bug on clang's end,
implementation-defined behaviour on both clang's and gcc's ends, or a
problem on your part with using a C++11 keyword as an argument name.

Also, while compiling guile itself, I get the following message:

-- 
Matt Sicker <[email-masked]>